Bug 176603 - Can't read the JPG file comment
Can't read the JPG file comment
Product: Fedora
Classification: Fedora
Component: gthumb (Show other bugs)
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Carl Worth
Depends On:
  Show dependency treegraph
Reported: 2005-12-27 06:58 EST by Dimitris
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-26 04:35:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dimitris 2005-12-27 06:58:01 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
gThumb can't read the JPEG file comment. I've created several JPEG files via "pnmtojpeg" and i'm using the -comment parameter to add a string of text.

The comment is viewable by the "file" command:

$ file ole.jpg
ole.jpg: JPEG image data, JFIF standard 1.01, comment: "Copyright (c) MYSELF\377\333"

The comment is also viewable by the GIMP.

Unfortunately, gThumb doesn't display anything in the "comment" field while viewing the image, neither does it show the comment when i select the Properties and go to the "Comment" tab.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Take any image, for example image.bmp.
2. cat image.bmp | anytopnm | pnmtojpeg -comment="this is a comment" > newimage.jpg
3. View the newimage.jpg with gThumb.
4. Confirm that there is no comment displayed.

Actual Results:  No comment displayed in gThumb.

Expected Results:  A comment string should be displayed.

Additional info:
Comment 1 Dimitris 2006-02-23 08:55:14 EST
Hello? anyone reading these bug reports?

Note You need to log in before you can comment on or make changes to this bug.